
import datetime
import uuid

from nsj_rest_lib.decorator.dto import DTO
from nsj_rest_lib.descriptor.dto_field import DTOField
from nsj_rest_lib.descriptor.dto_field_validators import DTOFieldValidators
from nsj_rest_lib.dto.dto_base import DTOBase



# Configuracoes execucao
from nsj_integracao_api_entidades.config import (tenant_is_partition_data)

@DTO()
class DfDocfiDTO(DTOBase):
    # Atributos da entidade
    id: uuid.UUID = DTOField(
      pk=True,
      entity_field='id',
      resume=True,
      not_null=True,
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    tenant: int = DTOField(
      partition_data=tenant_is_partition_data,
      resume=True,
      not_null=True,)
    id_ano: int = DTOField(
      not_null=True,)
    sinal: int = DTOField(
      not_null=True,)
    tipo: int = DTOField(
      not_null=True,)
    modelo: str = DTOField(
      candidate_key=True,
      strip=False,
      resume=True,
      not_null=True,)
    serie: str = DTOField()
    subserie: str = DTOField()
    numero: str = DTOField()
    periodo: int = DTOField(
      not_null=True,)
    lancamento: datetime.datetime = DTOField()
    emissao: datetime.datetime = DTOField()
    cfop: str = DTOField()
    cfopservico: str = DTOField()
    tppessoa: int = DTOField()
    atenumero: str = DTOField()
    datainiserv: datetime.datetime = DTOField()
    datafimserv: datetime.datetime = DTOField()
    datasaida: datetime.datetime = DTOField()
    datadeclaracao: datetime.datetime = DTOField()
    datanotaconhec: datetime.datetime = DTOField()
    horasaida: datetime.time = DTOField()
    porcaixa: bool = DTOField()
    petroleo: bool = DTOField()
    notafatura: bool = DTOField()
    cfopdif: bool = DTOField()
    cfopserdif: bool = DTOField()
    cancelado: bool = DTOField()
    orgaopublico: bool = DTOField()
    somaiss: bool = DTOField()
    issoutromunic: bool = DTOField()
    retautomatica: bool = DTOField()
    retemiss: bool = DTOField()
    retemir: bool = DTOField()
    reteminss: bool = DTOField()
    retemcofins: bool = DTOField()
    retemcsll: bool = DTOField()
    retempis: bool = DTOField()
    retorno: bool = DTOField()
    porcontigencia: bool = DTOField()
    situacao: int = DTOField()
    situacaosped: int = DTOField()
    tipocalctrib: int = DTOField()
    tpligacao: int = DTOField()
    grupotensao: int = DTOField()
    crt: int = DTOField()
    messerv: int = DTOField()
    anoserv: int = DTOField()
    tiponfe: int = DTOField()
    tpoperador: int = DTOField()
    tpconsignatario: int = DTOField()
    consumidor: int = DTOField()
    tiporedespacho: int = DTOField()
    remas: int = DTOField()
    rapis: int = DTOField()
    tipofrete: int = DTOField()
    tiporecolhimento: int = DTOField()
    tipotransporte: int = DTOField()
    volumes: int = DTOField()
    tipodocexterior: int = DTOField()
    parcelas: int = DTOField()
    tipocontab: int = DTOField()
    mesescredicms: int = DTOField()
    anoaidf: int = DTOField()
    anopexpam: int = DTOField()
    tipoimp: int = DTOField()
    classe: int = DTOField()
    tiporeceita: int = DTOField()
    tipoconsumo: int = DTOField()
    tiponavegacao: int = DTOField()
    tipoveiculo: int = DTOField()
    naturezafrete: int = DTOField()
    tipotarifaar: int = DTOField()
    chavene: str = DTOField()
    chaveneini: str = DTOField()
    chavene01: str = DTOField()
    chavene02: str = DTOField()
    chavene03: str = DTOField()
    chavene04: str = DTOField()
    chavenefim: str = DTOField()
    codigoirrf: str = DTOField()
    codigopis: str = DTOField()
    codigocsll: str = DTOField()
    codigocofins: str = DTOField()
    numacdraw: str = DTOField()
    campoligacao: str = DTOField()
    terminal: str = DTOField()
    codarea: str = DTOField()
    rntrc: str = DTOField()
    serierps: str = DTOField()
    rps: str = DTOField()
    cnae: str = DTOField()
    codmunic: str = DTOField()
    codserv: str = DTOField()
    municdest: str = DTOField()
    codif: str = DTOField()
    numerofrete: str = DTOField()
    marca: str = DTOField()
    tipovolume: str = DTOField()
    placa: str = DTOField()
    placa02: str = DTOField()
    placa03: str = DTOField()
    ufplaca: str = DTOField()
    ufplaca02: str = DTOField()
    ufplaca03: str = DTOField()
    doccomexterior: str = DTOField()
    parcelamento: str = DTOField()
    renavam: str = DTOField()
    codigodip: str = DTOField()
    observacao: str = DTOField()
    obsestoque: str = DTOField()
    selofiscal: str = DTOField()
    aidf: str = DTOField()
    numeropexpam: str = DTOField()
    lacre: str = DTOField()
    unidadecarga: str = DTOField()
    frota: str = DTOField()
    veiculo: str = DTOField()
    viagem: str = DTOField()
    otm: str = DTOField()
    frete: float = DTOField()
    seguro: float = DTOField()
    basetransp: float = DTOField()
    iss: float = DTOField()
    deducaoiss: float = DTOField()
    inss: float = DTOField()
    ir: float = DTOField()
    valoriss: float = DTOField()
    baseiss: float = DTOField()
    baseinss: float = DTOField()
    valorinss: float = DTOField()
    valorinssadicional: float = DTOField()
    valorinssnaoretido: float = DTOField()
    valorinsssubempreitada: float = DTOField()
    baseir: float = DTOField()
    valorir: float = DTOField()
    basecofins: float = DTOField()
    valorcofins: float = DTOField()
    basecsll: float = DTOField()
    valorcsll: float = DTOField()
    basepis: float = DTOField()
    valorpis: float = DTOField()
    deducaobaseir: float = DTOField()
    valordeducaoir: float = DTOField()
    desconto: float = DTOField()
    mercadorias: float = DTOField()
    servicos: float = DTOField()
    valor: float = DTOField()
    diferenca: float = DTOField()
    valordestacado: float = DTOField()
    baseicms: float = DTOField()
    icms: float = DTOField()
    valoricms: float = DTOField()
    icmsnaocred: float = DTOField()
    isentasicms: float = DTOField()
    outrasicms: float = DTOField()
    reducaoicms: float = DTOField()
    reducaoipi: float = DTOField()
    baseipi: float = DTOField()
    valoripi: float = DTOField()
    ipi: float = DTOField()
    isentasipi: float = DTOField()
    outras: float = DTOField()
    basesubst: float = DTOField()
    substprop: float = DTOField()
    substterc: float = DTOField()
    substnaoret: float = DTOField()
    icmsretido: float = DTOField()
    pisimp: float = DTOField()
    cofinsimp: float = DTOField()
    basepisimp: float = DTOField()
    basecofinsimp: float = DTOField()
    valorpisimp: float = DTOField()
    valorcofinsimp: float = DTOField()
    consumo: float = DTOField()
    kwh: float = DTOField()
    fretemm: float = DTOField()
    pesotx: float = DTOField()
    freteliquido: float = DTOField()
    valorsec_cat: float = DTOField()
    despacho: float = DTOField()
    pedagio: float = DTOField()
    despportuarias: float = DTOField()
    cargadescarga: float = DTOField()
    taxaterrestre: float = DTOField()
    advalorem: float = DTOField()
    valorgris: float = DTOField()
    outrosvalores: float = DTOField()
    pesobruto: float = DTOField()
    pesoliquido: float = DTOField()
    cubagem: float = DTOField()
    anotacoes: str = DTOField()
    percbaseinss: float = DTOField()
    percbaseir: float = DTOField()
    id_itemntr: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_conhectransp: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_estabelecimento: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_orgao: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_operador: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_redespachador: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_emitente: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_pessoa: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_consignatario: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_coleta: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_entrega: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_remetente: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_destinatario: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_transportadora: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_motorista: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_obra: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_grupodiferenciado: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_scp: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    tipodocumento: int = DTOField()
    xml_docengine: str = DTOField()
    xml_transmitido: str = DTOField()
    tipopedido: int = DTOField()
    formapagamento: int = DTOField()
    autorizacaocartao: str = DTOField()
    documentocartao: str = DTOField()
    dataautorizacaocartao: datetime.datetime = DTOField()
    valoravista: float = DTOField()
    vezescartao: int = DTOField()
    anotacao: str = DTOField()
    id_proposta: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_grupoempresarial: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_promocao: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_posicaoworkflow: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_midiaorigem: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_conta: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_layoutbancario: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_informacaocartao: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    datanegocio: datetime.datetime = DTOField()
    aprovadopor: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    datahoraaprovacao: datetime.datetime = DTOField()
    acrescimofinanceiro: float = DTOField()
    origem: int = DTOField(
      not_null=True,)
    id_objetoservico: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_docfis: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_cfop: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    discriminacaoservicos: str = DTOField()
    statusrps: int = DTOField()
    tiporps: int = DTOField()
    tipotributacaoservicorps: int = DTOField()
    regimeespecialtributacao: int = DTOField()
    incentivocultural: int = DTOField()
    ufprestacaoservico: str = DTOField()
    cidadeprestacaoservico: str = DTOField()
    id_estabelecimentocontraparte: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    descricaopagamento: str = DTOField()
    datavalidade: datetime.datetime = DTOField()
    contato: str = DTOField()
    informacoespedido: str = DTOField()
    id_oportunidade: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_parcelamento: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_docproposta: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    xml_cancelamento: str = DTOField()
    motivo_cancelamento: str = DTOField()
    data_cancelamento: datetime.datetime = DTOField()
    datacriacao: datetime.datetime = DTOField()
    horacriacao: datetime.time = DTOField()
    referenciaexterna: str = DTOField()
    tipoordemservico: str = DTOField()
    origemordemservico: int = DTOField()
    contrato: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    processamentocontrato: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_pedido: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    documento_operacao: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    documento_operacao_codigo: str = DTOField()
    xml_titulos: str = DTOField()
    lastupdate: datetime.datetime = DTOField()
    ordemservico_id: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    valorliquido: float = DTOField()
    caixa: int = DTOField()
    pontodevenda: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_serie: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    dataentradasaida: datetime.datetime = DTOField()
    tipoemitente: int = DTOField()
    tiporeceptor: int = DTOField()
    formadepagamento: int = DTOField()
    tipooperacao: int = DTOField()
    uffatogerador: str = DTOField()
    modocompra: int = DTOField()
    tipodeemissao: int = DTOField()
    chave: str = DTOField()
    observacao_movimentacao: str = DTOField()
    tabeladepreco: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_localdeestoqueorigem: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_localdeestoquedestino: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    df_endereco_retirada: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    df_endereco_entrega: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    municipiofatogerador: str = DTOField()
    xml_contingencia: str = DTOField()
    datacontingencia: datetime.datetime = DTOField()
    justificativacontingencia: str = DTOField()
    debitoautomatico: bool = DTOField(
      not_null=True,)
    contigencia_justificativa: str = DTOField()
    contigencia_imprimiu: bool = DTOField()
    contigencia_datahora: datetime.datetime = DTOField()
    numeroprotocolo: str = DTOField()
    tipoambiente: int = DTOField()
    lotecobrancaordemservico_id: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    documentorateado: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    requisicaoalmoxarifado_id: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    gerafinanceiro: bool = DTOField(
      not_null=True,)
    id_conjunto_anexo: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    descricaoservicos: str = DTOField()
    rps_original: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    tipo_retencao_iss: int = DTOField()
    xml_rps: str = DTOField()
    anotacoes_sistema: str = DTOField()
    anotacoes_manuais: str = DTOField()
    uf_embarque: str = DTOField()
    local_embarque: str = DTOField()
    local_despacho: str = DTOField()
    origemdocumento: int = DTOField()
    link_nfse: str = DTOField()
    id_documento_vinculado: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    pessoamunicipio: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_usuario_cadastro: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    prazoentrega: int = DTOField()
    notaimportacao: int = DTOField()
    chavegold: str = DTOField()
    wkf_data: datetime.datetime = DTOField()
    wkf_estado: str = DTOField()
    usuario_solicitacao_id: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    usuario_solicitacao_data: datetime.datetime = DTOField()
    situacaogerencial: int = DTOField()
    emailenviado: bool = DTOField()
    totalvalorfaturar: float = DTOField()
    id_instancia: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    finalidadeemissao: int = DTOField()
    id_operacao_nfs: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    analistacompra: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    infopiscompra: float = DTOField()
    infocofinscompra: float = DTOField()
    infoicmscompra: float = DTOField()
    infoicmsstcompra: float = DTOField()
    infoipicompra: float = DTOField()
    status: int = DTOField()
    vendedor: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    categoriadeproduto: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    uf_habilitacao: str = DTOField()
    tipo_assinante: int = DTOField()
    autenticacao_lote_digital: str = DTOField()
    outras_retencoes: float = DTOField()
    numero_titulo: str = DTOField()
    vbcufdest: float = DTOField()
    pfcpufdest: float = DTOField()
    picmsufdest: float = DTOField()
    picmsinter: float = DTOField()
    picmsinterpart: float = DTOField()
    vfcpufdest: float = DTOField()
    vicmsufdest: float = DTOField()
    vicmsufremet: float = DTOField()
    dataprevisao_entradasaida: datetime.datetime = DTOField()
    template_discriminacaorps: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    codigo_verificacao: str = DTOField()
    id_contratofinanceiro: str = DTOField()
    id_cotacao: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_docfis_contrato: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_moeda: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_opeinterna: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_pedidoservico: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_rateiopadrao: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    id_transacaofinanceira: str = DTOField()
    iddest: int = DTOField()
    iddestinoremessa: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    indfinal: int = DTOField()
    indiedest: int = DTOField()
    indpres: int = DTOField()
    informacao_fisco: str = DTOField()
    lotedigital: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    naturezaoperacao: str = DTOField()
    nota_antecipada: bool = DTOField()
    numeroexterno: str = DTOField()
    observacao_dadosgerais: str = DTOField()
    outrosacrescimos: float = DTOField()
    possuiadiantamento: bool = DTOField()
    pretituloverificado: bool = DTOField()
    projeto_padrao_id: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    rascunho: bool = DTOField()
    recalcularimpostos: bool = DTOField()
    reconstruirxml: bool = DTOField()
    reinf_maodeobra: str = DTOField()
    rota: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    rota_liberado: bool = DTOField()
    sistema: int = DTOField()
    status_conferencia: int = DTOField()
    tabeladefrete: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    tipo_insercao: int = DTOField()
    tipointegracao_pagamento: int = DTOField()
    titulo_observacao: str = DTOField()
    total_desconto: float = DTOField()
    troco: float = DTOField()
    versao_dfe: str = DTOField()
    volumemanual: bool = DTOField()
    xmlexplodido: bool = DTOField()
    pedido_mobile_efetivacao: datetime.datetime = DTOField()
    romaneio_doc_atendido: bool = DTOField()
    idregrapagamento: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)

